#ifndef SCC_COUNTING_HEURISTIC_H
#define SCC_COUNTING_HEURISTIC_H

#include "heuristic.h"


class SCCCountingHeuristic : public Heuristic {
    
    int bound;
    
protected:
    virtual void initialize();
    virtual int compute_heuristic(const State &state);
public:
    SCCCountingHeuristic(const Options &options);
    ~SCCCountingHeuristic();
    static void add_options_to_parser(OptionParser &parser);
};

#endif
